rte_tm_node_stats(3)

NAME
rte_tm_node_stats

SYNOPSIS

#include <rte_tm.h>

  Data Fields

uint64_t n_pkts
uint64_t n_bytes
struct {
uint64_t n_pkts_dropped [RTE_COLORS]
uint64_t n_bytes_dropped [RTE_COLORS]
uint64_t n_pkts_queued
uint64_t n_bytes_queued
} leaf

Detailed Description

Node statistics counters

Definition at line 130 of file rte_tm.h.

Field Documentation

  uint64_t n_pkts
Number of packets scheduled from current node.

Definition at line 132 of file rte_tm.h.

  uint64_t n_bytes
Number of bytes scheduled from current node.

Definition at line 135 of file rte_tm.h.

  uint64_t n_pkts_dropped[RTE_COLORS]
Number of packets dropped by current leaf node per each color.

Definition at line 142 of file rte_tm.h.

  uint64_t n_bytes_dropped[RTE_COLORS]
Number of bytes dropped by current leaf node per each color.

Definition at line 147 of file rte_tm.h.

  uint64_t n_pkts_queued
Number of packets currently waiting in the packet queue of current leaf node.

Definition at line 152 of file rte_tm.h.

  uint64_t n_bytes_queued
Number of bytes currently waiting in the packet queue of current leaf node.

Definition at line 157 of file rte_tm.h.

  struct { ... } leaf
Statistics counters for leaf nodes only.

Author

Generated automatically by Doxygen for DPDK from the source code.